curl --request POST \
--url https://api.example.com/v1/bidder/auto_deposit/{amount}import requests
url = "https://api.example.com/v1/bidder/auto_deposit/{amount}"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/bidder/auto_deposit/{amount}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount_per_window": "1000000000000000000",
"start_window_number": "1"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}AutoDeposit
AutoDeposit is called by the bidder node to add a recurring deposit in the bidder registry. The bidder can specify the amount of ETH to be deposited in each window. The bidder can also specify the start window number for the deposit. If the start window number is not specified, the current block number is used to calculate the window number. If the block number is specified, the window number is calculated based on the block number. Once it is enabled, the node will automatically deposit the specified amount in each window as well as withdraw the deposit from the previous window.
Path Parameters
Amount of ETH to be deposited in wei.
Query Parameters
Optional window number for querying deposit. If not specified, the current block number is used.
Optional block number for querying deposit. If specified, calculate window based on this block number.